Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.tags
Class ProductEventTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.commerce.ebusiness.tracking.tags.ProductEventTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  DisplayProductEventTag

Deprecated

    @Deprecated
    public class ProductEventTag

extends javax.servlet.jsp.tagext.TagSupport

The tag handler of the behavior tracking tag display. This tag is a base tag that will be used by other XXXXProductTags and only validates information that is common to the latter.

See Also
  Serialized Form

Field Summary
`protected String` | `applicationName` Deprecated
`protected String` | `categoryId` Deprecated
`protected String` | `documentId` Deprecated
`protected String` | `documentType` Deprecated
`protected String` | `sessionId` Deprecated
`protected String` | `sku` Deprecated
`protected String` | `userId` Deprecated

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ProductEventTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Implement the StartTag callback.
`String` | `getApplicationName()` Deprecated Get the applicationName
`String` | `getCategoryId()` Deprecated Get the categoryId
`String` | `getDocumentId()` Deprecated Get the documentId
`String` | `getDocumentType()` Deprecated Get the documentType
`String` | `getSku()` Deprecated Get the Sku
`protected void` | `log(int logLevel, String message)` Deprecated
`void` | `release()` Deprecated
`void` | `setApplicationName(String theApplicationName)` Deprecated Set the applicationName
`void` | `setCategoryId(Category theCategory)` Deprecated Set the categoryId using a Category
`void` | `setCategoryId(String theCategoryId)` Deprecated Set the categoryId
`void` | `setDocumentId(String theDocumentId)` Deprecated Set the documentId
`void` | `setDocumentType(String theDocumentType)` Deprecated Set the documentType
`void` | `setSku(ProductItem theProduct)` Deprecated Set the sku using a ProductItem
`void` | `setSku(String theSku)` Deprecated Set the sku
`protected void` | `throwException(String message)` Deprecated
`protected void` | `throwException(String message, Object messageObject)` Deprecated

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### documentId

    protected String documentId

  Deprecated

### documentType

    protected String documentType

  Deprecated

### sku

    protected String sku

  Deprecated

### categoryId

    protected String categoryId

  Deprecated

### applicationName

    protected String applicationName

  Deprecated

### sessionId

    protected String sessionId

  Deprecated

### userId

    protected String userId

  Deprecated

Constructor Detail

### ProductEventTag

    public ProductEventTag()

  Deprecated

Method Detail

### getDocumentId

    public String getDocumentId()

  Deprecated
  Get the documentId

  Returns
    String the documentId

### setDocumentId

    public void setDocumentId(String theDocumentId)

  Deprecated
  Set the documentId

  Parameters
    `theDocumentId` - documentId to set to

### getDocumentType

    public String getDocumentType()

  Deprecated
  Get the documentType

  Returns
    String the documentType

### setDocumentType

    public void setDocumentType(String theDocumentType)

  Deprecated
  Set the documentType

  Parameters
    `theDocumentType` - documentType to set to

### getSku

    public String getSku()

  Deprecated
  Get the Sku

  Returns
    String the sku

### setSku

    public void setSku(String theSku)

  Deprecated
  Set the sku

  Parameters
    `theSku` - sku to set to

### setSku

    public void setSku(ProductItem theProduct)

  Deprecated
  Set the sku using a ProductItem

  Parameters
    `theProduct` - ProductItem used to get sku

### getCategoryId

    public String getCategoryId()

  Deprecated
  Get the categoryId

  Returns
    String the categoryId

### setCategoryId

    public void setCategoryId(String theCategoryId)

  Deprecated
  Set the categoryId

  Parameters
    `theCategoryId` - categoryId to set to

### setCategoryId

    public void setCategoryId(Category theCategory)

  Deprecated
  Set the categoryId using a Category

  Parameters
    `theCategory` - Category used to get categoryId

### getApplicationName

    public String getApplicationName()

  Deprecated
  Get the applicationName

  Returns
    String the applicationName

### setApplicationName

    public void setApplicationName(String theApplicationName)

  Deprecated
  Set the applicationName

  Parameters
    `theApplicationName` - applicationName to set to

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Deprecated
  Implement the StartTag callback. This only does some validation common to tags of this type.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspTagException`

### throwException

    protected void throwException(String message,
                                  Object messageObject)
                           throws javax.servlet.jsp.JspTagException

  Deprecated
  Throws
    `javax.servlet.jsp.JspTagException`

### throwException

    protected void throwException(String message)
                           throws javax.servlet.jsp.JspTagException

  Deprecated
  Throws
    `javax.servlet.jsp.JspTagException`

### log

    protected void log(int logLevel,
                       String message)

  Deprecated

### release

    public void release()

  Deprecated
  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.